﻿@model IEnumerable<EMartVG.Models.Detalle_Compra>

@{
    ViewBag.Title = "Proceso de Ordenes";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarVentas/">Ventas</li>

    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaCategoria/">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                @*<ul class="nav nav-tabs card-header-tabs">

                        <li class="nav-item">
                            <a class="nav-link " style="color:black" href="~/Admin/CreaCategoria">Agregar Categoría</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active bg-dark " style="color:goldenrod" href="~/Admin/ListarCategorias/">Listar Categorías</a>
                        </li>

                    </ul>*@
            </div>
            <div class="card-body">

                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="search" id="detalle" value="" placeholder="Ingrese Id de venta" />
                    </div>
                    <div class="col-3">
                        @Html.DropDownList("estadoventa", null, "Todos los estados", htmlAttributes: new { @class = "form-control" })
                    </div>
                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaDetalle">

                    <!--AQUI VISTA PARCIAL-->

                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
<script>
    $(window).on("load", function () {
        //obtiene campos para filtrado
        document.getElementById('detalle').value = (localStorage.getItem("detalleLD"));
        document.getElementById('estadoventa').value = (localStorage.getItem("estadoLD"));
    });
     $(window).on("load", function () {

    $.get('@Url.Action("ListarVentasPartial")' + '?nom=' + $('#detalle').val() + '&estado=' + $('#estadoventa').val(), function (lista) {
    //localStorage.setItem("marca", $('#marca').val());
    $('#tablaDetalle').html(lista);
    });
     });

    $('#detalle').on("search keyup",function () {
        if (!$("#detalle").val()) {
            $.get('@Url.Action("ListarVentasPartial")' + '?nom=' + $('#detalle').val(), function (lista) {
                $('#tablaDetalle').html(lista);
        });
        }
    });
    $('#buscar').click(function () {
        $.get('@Url.Action("ListarVentasPartial")' + '?nom=' + $('#detalle').val() + '&estado=' + $('#estadoventa').val(), function (lista) {
            localStorage.setItem("detalleLD", $('#detalle').val());
            localStorage.setItem("estadoLD", $('#estadoventa').val());
            $('#tablaDetalle').html(lista);
        });
    });
</script>
   
}